# boost::redis::config

Configure parameters used by the connection classes.

## Synopsis

Declared in `<boost/redis/config.hpp>`

    struct config;

## Data Members

Name | Description
`use_ssl` | Uses SSL instead of a plain connection.
`addr` | For TCP connections, hostname and port of the Redis server.
`unix_socket` | The UNIX domain socket path where the server is listening.
`username` | Username used for authentication during connection establishment.
`password` | Password used for authentication during connection establishment.
`clientname` | Client name parameter to use during connection establishment.
`database_index` | Database index to pass to the `SELECT` command during connection establishment.
`health_check_id` | Message used by `PING` commands sent by the health checker.
`log_prefix` | (Deprecated) Sets the logger prefix, a string printed before log messages.
`resolve_timeout` | Time span that the resolve operation is allowed to elapse.
`connect_timeout` | Time span that the connect operation is allowed to elapse.
`ssl_handshake_timeout` | Time span that the SSL handshake operation is allowed to elapse.
`health_check_interval` | Time span between successive health checks. Set to zero to disable health‐checks.
`reconnect_wait_interval` | Time span to wait between successive connection retries. Set to zero to disable reconnection.
`max_read_size` | Maximum size of the socket read‐buffer in bytes.
`read_buffer_append_size` | Grow size of the read buffer.
`use_setup` | Enables using a custom requests during connection establishment.
`setup` | Request to be executed after connection establishment.

Created with MrDocs